# Generated by Django 3.1.2 on 2020-10-25 00:06

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')), # noqa
                ('name', models.CharField(max_length=255, verbose_name='Название')), # noqa
            ],
            options={
                'verbose_name': 'Группа',
                'verbose_name_plural': 'Группы',
            },
        ),
        migrations.CreateModel(
            name='Teacher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')), # noqa
                ('last_name', models.CharField(max_length=255, verbose_name='Фамилия')), # noqa
                ('first_name', models.CharField(max_length=255, verbose_name='Имя')), # noqa
                ('middle_name', models.CharField(max_length=255, verbose_name='Отчество')), # noqa
                ('age', models.PositiveSmallIntegerField(verbose_name='Возраст')), # noqa
            ],
            options={
                'verbose_name': 'Преподаватель',
                'verbose_name_plural': 'Преподаватели',
            },
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')), # noqa
                ('last_name', models.CharField(max_length=255, verbose_name='Фамилия')), # noqa
                ('first_name', models.CharField(max_length=255, verbose_name='Имя')), # noqa
                ('middle_name', models.CharField(max_length=255, verbose_name='Отчество')), # noqa
                ('age', models.PositiveSmallIntegerField(verbose_name='Возраст')), # noqa
                ('group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='students', to='core.group')), # noqa
            ],
            options={
                'verbose_name': 'Студент',
                'verbose_name_plural': 'Студенты',
            },
        ),
        migrations.AddField(
            model_name='group',
            name='teacher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='teachers', to='core.teacher'), # noqa
        ),
    ]
